{"openapi":"3.0.4","info":{"title":"Sweeps specified blocks, for each block that meets the requirements. The request may be partially successful.","description":"The requirements are:\r\n<list type=\"bullet\"><term>The block exists.</term><term>All orders have state \"Closed\", \"Cancelled\", \"Canceled\" or \"Booked\".</term><term>All placements have state \"Allocated\" or \"Over-allocated\".</term><term>All allocations have state \"Closed\", \"Cancelled\", \"Canceled\" or \"Booked\".</term><term>No execution or allocation has been modified since the passed LatestAllowableModificationTime.</term></list>","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/ordermanagement/SweepBlocks":{"post":{"tags":["Order Management"],"summary":"Sweeps specified blocks, for each block that meets the requirements. The request may be partially successful.","description":"The requirements are:\r\n<list type=\"bullet\"><term>The block exists.</term><term>All orders have state \"Closed\", \"Cancelled\", \"Canceled\" or \"Booked\".</term><term>All placements have state \"Allocated\" or \"Over-allocated\".</term><term>All allocations have state \"Closed\", \"Cancelled\", \"Canceled\" or \"Booked\".</term><term>No execution or allocation has been modified since the passed LatestAllowableModificationTime.</term></list>","operationId":"SweepBlocks","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/SweepBlocksRequest"},"example":{"blockIds":{"A":{"scope":"APAC","code":"1001"},"B":{"scope":"APAC","code":"1002"},"C":{"scope":"APAC","code":"NotExists"}},"latestAllowableModificationTime":"2018-08-31NSingaporeClose"}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/SweepBlocksRequest"},"example":{"blockIds":{"A":{"scope":"APAC","code":"1001"},"B":{"scope":"APAC","code":"1002"},"C":{"scope":"APAC","code":"NotExists"}},"latestAllowableModificationTime":"2018-08-31NSingaporeClose"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/SweepBlocksRequest"},"example":{"blockIds":{"A":{"scope":"APAC","code":"1001"},"B":{"scope":"APAC","code":"1002"},"C":{"scope":"APAC","code":"NotExists"}},"latestAllowableModificationTime":"2018-08-31NSingaporeClose"}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/SweepBlocksRequest"},"example":{"blockIds":{"A":{"scope":"APAC","code":"1001"},"B":{"scope":"APAC","code":"1002"},"C":{"scope":"APAC","code":"NotExists"}},"latestAllowableModificationTime":"2018-08-31NSingaporeClose"}}},"required":true},"responses":{"200":{"description":"The results from sweeping blocks.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/SweepBlocksResponse"},"example":{"values":{"A":{"scope":"APAC","code":"1001"},"B":{"scope":"APAC","code":"1002"}},"failed":{"C":{"id":"Scope:APAC Code:NotExists","type":"OrdersEntityNotFoundFailure`1","detail":"Orders entity APAC/NotExists not known at effective: 0001-01-01T00:00:00.0000000+00:00, as-at: 2018-07-09T00:00:00.0000000+00:00."}}}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/SweepBlocksResponse"},"example":{"values":{"A":{"scope":"APAC","code":"1001"},"B":{"scope":"APAC","code":"1002"}},"failed":{"C":{"id":"Scope:APAC Code:NotExists","type":"OrdersEntityNotFoundFailure`1","detail":"Orders entity APAC/NotExists not known at effective: 0001-01-01T00:00:00.0000000+00:00, as-at: 2018-07-09T00:00:00.0000000+00:00."}}}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/SweepBlocksResponse"},"example":{"values":{"A":{"scope":"APAC","code":"1001"},"B":{"scope":"APAC","code":"1002"}},"failed":{"C":{"id":"Scope:APAC Code:NotExists","type":"OrdersEntityNotFoundFailure`1","detail":"Orders entity APAC/NotExists not known at effective: 0001-01-01T00:00:00.0000000+00:00, as-at: 2018-07-09T00:00:00.0000000+00:00."}}}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}